## gnat 3.04-2

=== examples/Makefile ===
#-----------------------------------------------------------------------------
#                               EXAMPLES  Makefile
#-----------------------------------------------------------------------------
#
# Do not modify this file.  If you want to add a new example, modify the file
# Makefile.dep.
#-----------------------------------------------------------------------------

# the C compiler
CC = gcc

# the Ada Compiler
ADAC = $(CC)

# the C++ compiler
CPLUSPLUS = /usr/local/bin/gcc

# Gnat1 compilation flags
GF = -O2

# Gnatbind binder flags
BF =

# Extension for ".o" files
o = o

# Extension for executable files
e =


#-----------------------------------------------------------------------------
# Main rule

main_rule : process

include Makefile.dep

process : clean $(LIST_EXEC) announce

###############################################################################
# General rules
###############################################################################
.SUFFIXES: .adb .ads .ali .o
.PHONY: clean process announce force

.adb.o:
	$(ADAC) -c $(GF)  $<

.ads.o:
	$(ADAC) -c $(GF)  $<

.c.o:
	$(CC) -c $(CFLAGS) $<

% : %.o
	gnatbl $@.ali $($@_DEP)
	./$@

clean : force
	@/bin/rm -f *.$o *.ali b_*.c *.s *~ $(LIST_EXEC)

announce :
	@echo " "
	@echo "ANNOUNCES:"
	@echo "   * if you are interested by the C++ interface: try 'make ex6_main'"
	@echo " "

force :

##############################################################################
# special stuff for the c++ interface
##############################################################################

ex6.o :
	@echo -n "if g++ is not installed on your standard 'gcc', the next "
	@echo "command will fail"
	$(CPLUSPLUS) -c ex6.C


ex6_main$e: ex6_main.$o ex6_if.$o $(ex6_main_DEP)
	gnatbl ex6_main.ali ex6.$o -lstdc++
	./ex6_main$e

##############################################################################
# special exec for test_cl
##############################################################################
test_cl$e: test_cl.$o
	gnatbl test_cl.ali
	@echo "example kindly sent by Timothy J. Halloran"
	./test_cl arg1 arg2 arg3
	./test_cl a bb cccccc   d eeeeeee ff

## gnat 3.10p

=== gnat-3.10p-src/examples/Makefile ===
#-----------------------------------------------------------------------------
#                               EXAMPLES  Makefile
#-----------------------------------------------------------------------------

# the C compiler
CC = gcc

# the Ada Compiler
ADAC = $(CC)

# the C++ compiler
CPLUSPLUS = gcc

# Gnat1 compilation flags
GF = -O2

# Gnatbind binder flags
BF =

# Extension for ".o" files
o = o

# Extension for executable files
e =

LIST_EXEC = \
  hello$e \
  text_io_example$e \
  use_of_import$e   \
  tgef$e            \
  tef$e             \
  demo1$e           \
  demo2$e           \
  test_cl$e         \
  diners$e          \
  ex6_main
  

#-----------------------------------------------------------------------------
# Main rule

all : clean $(LIST_EXEC) 

clean : force
	@/bin/rm -f *.$o *.ali b_*.c *.s *~ $(LIST_EXEC)

force :

# hello
########
hello$e:
	gnatmake hello$e -cargs $(GF)
	./hello$e < hello.rsp

# text_io_example
#################
text_io_example$e:
	gnatmake text_io_example$e -cargs $(GF)
	./text_io_example$e


# use_of_import
###############
use_of_import$e: imported_function.o
	gnatmake use_of_import$e -cargs $(GF) -largs imported_function.o
	./use_of_import$e

# tgef
######
tgef$e:
	gnatmake tgef$e -cargs $(GF)
	./tgef$e
# tef
######
tef$e:
	gnatmake tef$e -cargs $(GF)
	./tef$e

# demo1
#######
demo1$e:
	gnatmake demo1$e -cargs $(GF)
	./demo1$e

# demo2
#######
demo2$e:
	gnatmake demo2$e -cargs $(GF)
	./demo2$e < demo2.rsp

# test_cl
#########
test_cl$e: imported_function.$o
	gnatmake test_cl
	./test_cl arg1 arg2 arg3
	@echo ""
	./test_cl a bb cccccc   d eeeeeee ff

# diners
########
diners$e:
	gnatmake diners$e -cargs $(GF)
	./diners$e

# ex6_main
##########
ex6.o :
	@echo -n "if g++ is not installed on your standard 'gcc', the next "
	@echo "command will fail"
	$(CPLUSPLUS) -c ex6.C


ex6_main$e: ex6.o
	gnatmake ex6_main -cargs $(GF) -largs ex6.$o -lstdc++
	./ex6_main$e

.PHONY: clean force

## gnat 3.15p

=== gnat-3.15p-src/examples/Makefile ===
#-----------------------------------------------------------------------------
#                               EXAMPLES  Makefile
#-----------------------------------------------------------------------------

# the C compiler
CC = gcc

# the Ada Compiler
ADAC = $(CC)

# the C++ compiler
CPLUSPLUS = c++

# Gnat1 compilation flags
GF = -O2

# Gnatbind binder flags
BF =

# Extension for ".o" files
o = o

# Extension for executable files
e =

LIST_EXEC = \
  hello$e \
  text_io_example$e \
  use_of_import$e   \
  tgef$e            \
  tef$e             \
  demo1$e           \
  demo2$e           \
  test_cl$e         \
  diners$e          \
  ex6_main          \
  cpp_main


#-----------------------------------------------------------------------------
# Main rule

all : clean $(LIST_EXEC) 

clean : force
	@/bin/rm -f *.$o *.ali b_*.c *.s *~ $(LIST_EXEC)

force :

# hello
########
hello$e:
	gnatmake hello$e -cargs $(GF)
	./hello$e

# text_io_example
#################
text_io_example$e:
	gnatmake text_io_example$e -cargs $(GF)
	./text_io_example$e


# use_of_import
###############
use_of_import$e: imported_function.o
	gnatmake use_of_import$e -cargs $(GF) -largs imported_function.o
	./use_of_import$e

# tgef
######
tgef$e:
	gnatmake tgef$e -cargs $(GF)
	./tgef$e
# tef
######
tef$e:
	gnatmake tef$e -cargs $(GF)
	./tef$e

# demo1
#######
demo1$e:
	gnatmake demo1$e -cargs $(GF)
	./demo1$e

# demo2
#######
demo2$e:
	gnatmake demo2$e -cargs $(GF)
	./demo2$e < demo2.rsp

# test_cl
#########
test_cl$e: imported_function.$o
	gnatmake test_cl
	./test_cl arg1 arg2 arg3
	@echo ""
	./test_cl a bb cccccc   d eeeeeee ff

# diners
########
diners$e:
	gnatmake diners$e -cargs $(GF)
	./diners$e

# ex6_main
##########
ex6.o :
	@echo -n "if c++ is not installed, the next command will fail"
	$(CPLUSPLUS) -c ex6.C


ex6_main$e: ex6.o
	gnatmake ex6_main -cargs $(GF) -bargs -C -largs -C ex6.$o -lstdc++ --GCC=$(CPLUSPLUS)
	./ex6_main$e

# cpp_main
##########
ex7.o :
	$(CPLUSPLUS) -c ex7.C

cpp_main.o :
	$(CPLUSPLUS) -c cpp_main.C

cpp_main$e: ex7.o cpp_main.o
	gnatmake -c simple_cpp_interface
	gnatbind -n simple_cpp_interface
	gnatlink simple_cpp_interface -o cpp_main --LINK=$(CPLUSPLUS) -lstdc++ ex7.o cpp_main.o

.PHONY: clean force

## gnat 4.4+1

=== debian/changelog ===
gnat (4.4+1) unstable; urgency=low
  
  * debian/rules (binary): Move all commands to binary-arch.
    Closes: #555149.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  8 Nov 2009 22:36:56 +0100

gnat (4.4) unstable; urgency=low

  * New empty package that depends on the default Ada compiler
    (split out from gcc-defaults).

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 25 Oct 2009 16:30:31 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://gcc.gnu.org
XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat

Package: gnat
Architecture: any
Depends: gnat-4.4 (>= 4.4.2-1)
Recommends: ada-reference-manual, gnat-gps
Description: The GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the default Ada compiler for
 Debian, which is part of the GNU Compiler Collection.

# Package: gnat-doc
# Architecture: all
# Description: Documentation for the GNU Ada compiler
#   GNAT is a full-featured Ada 2005 compiler.  A quote from
#  http://www.adaic.org says: "Easily reused and maintained, readable
#  and user friendly, Ada code facilitates such massive software
#  projects as the Space Station and the Paris Metro. It has proven to
#  be extraordinarily robust in decades' worth of daily field tests
#  under the most rigorous conditions in which millions of lives have
#  been at stake."  Ada is the language for real-world, mission-critical
#  programming.
#  .
#  At the same time, Ada's radical type safety helps novice programmers
#  avoid many common mistakes and deliver their software on time (see
#  http://www.adaic.org/atwork/trains.html).
#  .
#  This is an empty package that depends on the documentation package
#  for the default Ada compiler for Debian, which is part of the GNU
#  Compiler Collection.

=== debian/rules ===
#!/usr/bin/make -f

build:

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
	dh_gencontrol
	dh_installdocs
	dh_installchangelogs
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_builddeb

binary-indep: build

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build binary binary-arch binary-indep

## gnat 4.4+1ubuntu1

=== debian/changelog ===
gnat (4.4+1ubuntu1) lucid; urgency=low

  * Build the gnat-doc package for Ubuntu.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2010 17:54:10 +0100

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://gcc.gnu.org
XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat

Package: gnat
Architecture: any
Depends: gnat-4.4 (>= 4.4.2-1), ${misc:Depends}
Recommends: ada-reference-manual, gnat-gps
Description: The GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the default Ada compiler for
 Debian, which is part of the GNU Compiler Collection.

Package: gnat-doc
Architecture: any
Section: doc
Depends: gnat-4.4-doc (>= 4.4.2-1), ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Documentation for the GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the documentation package
 for the default Ada compiler for Debian, which is part of the GNU
 Compiler Collection.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,13 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
+	: # gnat-doc
+	dh_installdirs -pgnat-doc \
+		usr/share/doc usr/share/info
+	dh_link -pgnat-doc \
+	  /usr/share/info/gnat_ugn_unw-4.4.info.gz /usr/share/info/gnat_ugn_unw.info.gz \
+	  /usr/share/info/gnat_rm-4.4.info.gz /usr/share/info/gnat_rm.info.gz \
+	  /usr/share/info/gnat_style-4.4.info.gz /usr/share/info/gnat_style.info.gz
 	dh_gencontrol
 	dh_installdocs
 	dh_installchangelogs

## gnat 4.4+1ubuntu2

=== debian/changelog ===
gnat (4.4+1ubuntu2) natty; urgency=low

  * Depend on ada-reference-manual-text rather than the NBS package
    ada-reference-manual.
  * Update Maintainer according to DebianMaintainerField spec.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 24 Nov 2010 11:24:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 7)
@@ -10,7 +11,7 @@
 Package: gnat
 Architecture: any
 Depends: gnat-4.4 (>= 4.4.2-1), ${misc:Depends}
-Recommends: ada-reference-manual, gnat-gps
+Recommends: ada-reference-manual-text, gnat-gps
 Description: The GNU Ada compiler
  GNAT is a full-featured Ada 2005 compiler.  A quote from
  http://www.adaic.org says: "Easily reused and maintained, readable

## gnat 4.4+1ubuntu3

=== debian/changelog ===
gnat (4.4+1ubuntu3) natty; urgency=low

  * Temporarily add in /usr/lib/gcc/$arch/4.4.x symlinks so we can bootstrap
    gnat-4.4 for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 23:57:18 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 build:
 
@@ -9,6 +11,8 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
+	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4
+	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_GNU_TYPE)/gcc/x86_64-linux-gnu/4.4/gnat1
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1ubuntu4

=== debian/changelog ===
gnat (4.4+1ubuntu4) natty; urgency=low

  * Bump the binary package version number on armel, to work around a
    previous higher-versioned upload from gcc-defaults.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Mar 2011 00:33:33 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+VERSION = $(shell dpkg-parsechangelog | sed -n -e's/^Version: //p')
+UBUREV = $(shell dpkg-parsechangelog | sed -n -e's/^Version: 4\.4+//p')
+
+ifeq ($(DEB_HOST_ARCH),armel)
+  # this rule is only needed until the Debian package version changes
+  ifneq ($(VERSION),$(UBUREV))
+    GNAT_VER := -- -v4.4.1-$(UBUREV)
+  endif
+endif
 
 build:
 
@@ -20,7 +31,7 @@
 	  /usr/share/info/gnat_ugn_unw-4.4.info.gz /usr/share/info/gnat_ugn_unw.info.gz \
 	  /usr/share/info/gnat_rm-4.4.info.gz /usr/share/info/gnat_rm.info.gz \
 	  /usr/share/info/gnat_style-4.4.info.gz /usr/share/info/gnat_style.info.gz
-	dh_gencontrol
+	dh_gencontrol $(GNAT_VER)
 	dh_installdocs
 	dh_installchangelogs
 	dh_fixperms

## gnat 4.4+1ubuntu5

=== debian/changelog ===
gnat (4.4+1ubuntu5) natty; urgency=low

  * hmm, maybe we shouldn't have x86_64-linux-gnu hard-coded in the path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Mar 2011 02:20:05 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 VERSION = $(shell dpkg-parsechangelog | sed -n -e's/^Version: //p')
@@ -23,7 +24,7 @@
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
 	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4
-	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_GNU_TYPE)/gcc/x86_64-linux-gnu/4.4/gnat1
+	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1ubuntu6

=== debian/changelog ===
gnat (4.4+1ubuntu6) natty; urgency=low

  * Revert the link hacks in the metapackage now that gnat-4.4 is
    bootstrapped for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Mar 2011 12:43:16 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 VERSION = $(shell dpkg-parsechangelog | sed -n -e's/^Version: //p')
@@ -23,8 +21,6 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
-	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4
-	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1ubuntu7

=== debian/changelog ===
gnat (4.4+1ubuntu7) natty; urgency=low

  * Reinstate symlink hack, gnat-4.4 needs rebootstrapped for multiarch.
  * Bump the symlink to 4.4.5 now.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Mar 2011 23:54:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 VERSION = $(shell dpkg-parsechangelog | sed -n -e's/^Version: //p')
@@ -21,6 +23,8 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
+	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.5
+	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1ubuntu8

=== debian/changelog ===
gnat (4.4+1ubuntu8) natty; urgency=low

  * Revert the link hacks in the metapackage except for armel (not yet built).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 12:41:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
+ifeq ($(DEB_HOST_ARCH),armel)
 	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.5
 	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1
+endif
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1ubuntu9

=== debian/changelog ===
gnat (4.4+1ubuntu9) natty; urgency=low

  * Revert the link hacks for armel too.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Apr 2011 18:23:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,6 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
-ifeq ($(DEB_HOST_ARCH),armel)
-	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.5
-	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1 /usr/lib/$(DEB_HOST_MULTIARCH)/gcc/$(DEB_HOST_GNU_TYPE)/4.4/gnat1
-endif
 	: # gnat-doc
 	dh_installdirs -pgnat-doc \
 		usr/share/doc usr/share/info

## gnat 4.4+1.1

=== debian/changelog ===
gnat (4.4+1.1) unstable; urgency=low

  * Non maintainer upload.
  * Provide the /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4 symlink, still
    required by gnat-4.4, but not provided anymore by gcc-4.4-base.
    Add it into the gnat package to avoid another gcc-4.4 upload.
    Closes: #623382.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Apr 2011 22:52:56 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://gcc.gnu.org
XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat

Package: gnat
Architecture: any
Depends: gnat-4.4 (>= 4.4.2-1)
Recommends: ada-reference-manual, gnat-gps
Replaces: gcc-4.4-base (<< 4.4.6-1~)
Description: The GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the default Ada compiler for
 Debian, which is part of the GNU Compiler Collection.

# Package: gnat-doc
# Architecture: all
# Description: Documentation for the GNU Ada compiler
#   GNAT is a full-featured Ada 2005 compiler.  A quote from
#  http://www.adaic.org says: "Easily reused and maintained, readable
#  and user friendly, Ada code facilitates such massive software
#  projects as the Space Station and the Paris Metro. It has proven to
#  be extraordinarily robust in decades' worth of daily field tests
#  under the most rigorous conditions in which millions of lives have
#  been at stake."  Ada is the language for real-world, mission-critical
#  programming.
#  .
#  At the same time, Ada's radical type safety helps novice programmers
#  avoid many common mistakes and deliver their software on time (see
#  http://www.adaic.org/atwork/trains.html).
#  .
#  This is an empty package that depends on the documentation package
#  for the default Ada compiler for Debian, which is part of the GNU
#  Compiler Collection.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE           ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

build:

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4
	dh_gencontrol
	dh_installdocs
	dh_installchangelogs
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_builddeb

binary-indep: build

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build binary binary-arch binary-indep

## gnat 4.4+1.1ubuntu1

=== debian/changelog ===
gnat (4.4+1.1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build the gnat-doc package for Ubuntu.
    - Depend on ada-reference-manual-text rather than the NBS package
      ada-reference-manual.
    - Bump the binary package version number on armel, to work around a
      previous higher-versioned upload from gcc-defaults.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2011 21:18:49 +0000

=== debian/control ===
Source: gnat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://gcc.gnu.org
XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat

Package: gnat
Architecture: any
Depends: gnat-4.4 (>= 4.4.2-1)
Recommends: ada-reference-manual-text, gnat-gps
Replaces: gcc-4.4-base (<< 4.4.6-1~)
Description: The GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the default Ada compiler for
 Debian, which is part of the GNU Compiler Collection.

Package: gnat-doc
Architecture: any
Section: doc
Depends: gnat-4.4-doc (>= 4.4.2-1), ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Documentation for the GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the documentation package
 for the default Ada compiler for Debian, which is part of the GNU
 Compiler Collection.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
 DEB_HOST_GNU_TYPE           ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH               ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+VERSION = $(shell dpkg-parsechangelog | sed -n -e's/^Version: //p')
+UBUREV = $(shell dpkg-parsechangelog | sed -n -e's/^Version: 4\.4+//p')
+
+ifeq ($(DEB_HOST_ARCH),armel)
+  # this rule is only needed until the Debian package version changes
+  ifneq ($(VERSION),$(UBUREV))
+    GNAT_VER := -- -v4.4.1-$(UBUREV)
+  endif
+endif
 
 build:
 
@@ -12,7 +23,14 @@
 	dh_link -pgnat /usr/bin/gcc-4.4 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gcc-4.4.1.gz /usr/share/man/man1/gnatgcc.1.gz
 	dh_link -pgnat /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4 /usr/lib/gcc/$(DEB_HOST_GNU_TYPE)/4.4.4
-	dh_gencontrol
+	: # gnat-doc
+	dh_installdirs -pgnat-doc \
+		usr/share/doc usr/share/info
+	dh_link -pgnat-doc \
+	  /usr/share/info/gnat_ugn_unw-4.4.info.gz /usr/share/info/gnat_ugn_unw.info.gz \
+	  /usr/share/info/gnat_rm-4.4.info.gz /usr/share/info/gnat_rm.info.gz \
+	  /usr/share/info/gnat_style-4.4.info.gz /usr/share/info/gnat_style.info.gz
+	dh_gencontrol $(GNAT_VER)
 	dh_installdocs
 	dh_installchangelogs
 	dh_fixperms

## gnat 4.6

=== debian/changelog ===
gnat (4.6) unstable; urgency=low
  
  * Transition to gnat-4.6 for Debian 7 "Wheezy".
  * debian/control (Breaks): remove.  This clause was made unnecessary
    by the Debian Policy for Ada in Squeeze.
    (Standards-Version): move to 3.9.2 with no changes required.
  * debian/rules: symlink gnatgcc.1.gz to gnat.1.gz, not gcc-x.y.1.gz
    (build-arch, build-indep): add empty, phony targets to appease lintian.
  * debian/source.lintian-overrides: remove.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 09:00:25 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://gcc.gnu.org
XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat

Package: gnat
Architecture: any
Depends: gnat-4.6, ${misc:Depends}
Recommends: ada-reference-manual, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2005 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the default Ada compiler for
 Debian, which is part of the GNU Compiler Collection.

# Package: gnat-doc
# Architecture: all
# Description: Documentation for the GNU Ada compiler
#   GNAT is a full-featured Ada 2005 compiler.  A quote from
#  http://www.adaic.org says: "Easily reused and maintained, readable
#  and user friendly, Ada code facilitates such massive software
#  projects as the Space Station and the Paris Metro. It has proven to
#  be extraordinarily robust in decades' worth of daily field tests
#  under the most rigorous conditions in which millions of lives have
#  been at stake."  Ada is the language for real-world, mission-critical
#  programming.
#  .
#  At the same time, Ada's radical type safety helps novice programmers
#  avoid many common mistakes and deliver their software on time (see
#  http://www.adaic.org/atwork/trains.html).
#  .
#  This is an empty package that depends on the documentation package
#  for the default Ada compiler for Debian, which is part of the GNU
#  Compiler Collection.

=== debian/rules ===
#!/usr/bin/make -f

build build-arch build-indep:

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_link -pgnat /usr/bin/gcc-4.6 /usr/bin/gnatgcc
	dh_link -pgnat /usr/share/man/man1/gnat.1.gz /usr/share/man/man1/gnatgcc.1.gz
	dh_gencontrol
	dh_installdocs
	dh_installchangelogs
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_builddeb

binary-indep: build

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build build-arch build-indep binary binary-arch binary-indep

## gnat 4.6ubuntu1

=== debian/changelog ===
gnat (4.6ubuntu1) precise; urgency=low

  * Build gnat-doc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Oct 2011 17:12:32 +0200

=== debian/control ===
--- 
+++ 
@@ -28,22 +28,23 @@
  This is an empty package that depends on the default Ada compiler for
  Debian, which is part of the GNU Compiler Collection.
 
-# Package: gnat-doc
-# Architecture: all
-# Description: Documentation for the GNU Ada compiler
-#   GNAT is a full-featured Ada 2005 compiler.  A quote from
-#  http://www.adaic.org says: "Easily reused and maintained, readable
-#  and user friendly, Ada code facilitates such massive software
-#  projects as the Space Station and the Paris Metro. It has proven to
-#  be extraordinarily robust in decades' worth of daily field tests
-#  under the most rigorous conditions in which millions of lives have
-#  been at stake."  Ada is the language for real-world, mission-critical
-#  programming.
-#  .
-#  At the same time, Ada's radical type safety helps novice programmers
-#  avoid many common mistakes and deliver their software on time (see
-#  http://www.adaic.org/atwork/trains.html).
-#  .
-#  This is an empty package that depends on the documentation package
-#  for the default Ada compiler for Debian, which is part of the GNU
-#  Compiler Collection.
+Package: gnat-doc
+Architecture: all
+Depends: gnat-4.6-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2005 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 	dh_testroot
 	dh_link -pgnat /usr/bin/gcc-4.6 /usr/bin/gnatgcc
 	dh_link -pgnat /usr/share/man/man1/gnat.1.gz /usr/share/man/man1/gnatgcc.1.gz
+	dh_installdirs -pgnat-doc \
+		usr/share/doc usr/share/info
+	dh_link -pgnat-doc \
+	  /usr/share/info/gnat_ugn_unw-4.6.info.gz /usr/share/info/gnat_ugn_unw.info.gz \
+	  /usr/share/info/gnat_rm-4.6.info.gz /usr/share/info/gnat_rm.info.gz \
+	  /usr/share/info/gnat_style-4.6.info.gz /usr/share/info/gnat_style.info.gz
 	dh_gencontrol
 	dh_installdocs
 	dh_installchangelogs

## gnat 4.6ubuntu2

=== debian/changelog ===
gnat (4.6ubuntu2) trusty; urgency=medium

  * Depend on gnat-4.8 on arm64 and ppc64el.

 -- Matthias Klose <doko@ubunut.com>  Fri, 27 Dec 2013 17:31:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: gnat
 Architecture: any
-Depends: gnat-4.6, ${misc:Depends}
+Depends: gnat-4.6 [!arm64 !ppc64el], gnat-4.8 [arm64 ppc64el], ${misc:Depends}
 Recommends: ada-reference-manual, gnat-gps
 Description: GNU Ada compiler
  GNAT is a full-featured Ada 2005 compiler.  A quote from

## gnat 4.6ubuntu4

=== debian/changelog ===
gnat (4.6ubuntu4) trusty; urgency=medium

  * Don't build the package on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2014 14:25:09 +0200

gnat (4.6ubuntu3) trusty; urgency=medium

  * Link to gcc-4.8 on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Mar 2014 22:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 XS-VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
 
 Package: gnat
-Architecture: any
+Architecture: amd64 armhf i386 powerpc ppc64el
 Depends: gnat-4.6 [!arm64 !ppc64el], gnat-4.8 [arm64 ppc64el], ${misc:Depends}
 Recommends: ada-reference-manual, gnat-gps
 Description: GNU Ada compiler

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
  VER = 4.8
else
  VER = 4.6
endif

build build-arch build-indep:

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_link -pgnat /usr/bin/gcc-$(VER) /usr/bin/gnatgcc
	dh_link -pgnat /usr/share/man/man1/gnat.1.gz /usr/share/man/man1/gnatgcc.1.gz
	dh_installdirs -pgnat-doc \
		usr/share/doc usr/share/info
	dh_link -pgnat-doc \
	  /usr/share/info/gnat_ugn_unw-$(VER).info.gz /usr/share/info/gnat_ugn_unw.info.gz \
	  /usr/share/info/gnat_rm-$(VER).info.gz /usr/share/info/gnat_rm.info.gz \
	  /usr/share/info/gnat_style-$(VER).info.gz /usr/share/info/gnat_style.info.gz
	dh_gencontrol
	dh_installdocs
	dh_installchangelogs
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_builddeb

binary-indep: build

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build build-arch build-indep binary binary-arch binary-indep

## gnat 4.9

=== debian/changelog ===
gnat (4.9) unstable; urgency=medium

  * Depend on gnat-4.9 on all architectures.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu,  1 May 2014 09:00:57 +0200

gnat (4.6.1) unstable; urgency=medium

  * Upgrades: debhelper 9, copyright 1.0, Standards 3.9.5, source 3.0.
  * Uploaders: += myself.
  * Architecture: any -> all.
  * Let gnat-x.y handle gnatgcc link in order to ease transitions.
  * Recommends: ada-reference-manual-2012. Closes: #682424.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Feb 2014 23:03:00 +0100

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://gcc.gnu.org
VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
VCS-Mtn: www.ada-france.org org.debian.gnat

Package: gnat
Architecture: all
Depends: gnat-4.9, ${misc:Depends}
Recommends: ada-reference-manual-2012, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 4.9ubuntu1

=== debian/changelog ===
gnat (4.9ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
  * Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 May 2014 15:37:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 VCS-Mtn: www.ada-france.org org.debian.gnat
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el
 Depends: gnat-4.9, ${misc:Depends}
 Recommends: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler
@@ -31,3 +31,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-4.9-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 4.9ubuntu2

=== debian/changelog ===
gnat (4.9ubuntu2) xenial; urgency=medium

  * Add s390x to the architecture list for the gnat binary package.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Dec 2015 11:39:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,7 +11,7 @@
 VCS-Mtn: www.ada-france.org org.debian.gnat
 
 Package: gnat
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Depends: gnat-4.9, ${misc:Depends}
 Recommends: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler

=== debian/rules ===
#!/usr/bin/make -f

# Debian build rules file for gnat package.

# Copyright (c) 2009-2011 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014      Nicolas Boulenguez <nicolas@debian.org>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
 build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

## gnat 6ubuntu1

=== debian/changelog ===
gnat (6ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Apr 2016 09:57:06 +0200

gnat (6) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 3.9.8 (no changes)
  * Override vcs-field-uses-insecure-uri lintian tag.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Apr 2016 23:21:02 +0200

gnat (6~exp1) experimental; urgency=medium

  * Depend on gnat-6.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Mar 2016 00:01:04 +0100

gnat (5) experimental; urgency=medium

  * Depend on gnat-5.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 14:53:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://gcc.gnu.org
 VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
 VCS-Mtn: www.ada-france.org org.debian.gnat
 
 Package: gnat
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
-Depends: gnat-4.9, ${misc:Depends}
+Depends: gnat-6, ${misc:Depends}
 Recommends: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler
  GNAT is a full-featured Ada 2012 compiler.  A quote from
@@ -35,7 +35,7 @@
 
 Package: gnat-doc
 Architecture: all
-Depends: gnat-4.9-doc, ${misc:Depends}
+Depends: gnat-6-doc, ${misc:Depends}
 Description: Documentation for the GNU Ada compiler
  GNAT is a full-featured Ada 2012 compiler.  A quote from
  http://www.adaic.org says: "Easily reused and maintained, readable

## gnat 6.1

=== debian/changelog ===
gnat (6.1) unstable; urgency=medium

  * Depend gnat >= 6.1, ensuring the same ALI checksum of standard library
    sources for every policy-compliant Ada library.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 29 May 2016 00:02:18 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://gcc.gnu.org
VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
VCS-Mtn: www.ada-france.org org.debian.gnat

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-6 (>= 6.1)
Recommends: ada-reference-manual-2012, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 6.1ubuntu1

=== debian/changelog ===
gnat (6.1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 May 2016 23:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,7 +11,7 @@
 VCS-Mtn: www.ada-france.org org.debian.gnat
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Depends: ${misc:Depends},
  gnat-6 (>= 6.1)
 Recommends: ada-reference-manual-2012, gnat-gps
@@ -32,3 +33,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-6-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 6.1ubuntu2

=== debian/changelog ===
gnat (6.1ubuntu2) yakkety; urgency=medium

  * gnat: Depend on gcc.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Sep 2016 11:38:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Package: gnat
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-6 (>= 6.1)
 Recommends: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler
